Bug 151872 - [patch] emulators/open-vm-tools fix build under CURRENT =
[patch] emulators/open-vm-tools fix build under CURRENT =
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: mbr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-01 17:40 UTC by umq
Modified: 2010-11-16 00:02 UTC (History)
0 users

See Also:


Attachments
file.diff (7.19 KB, patch)
2010-11-01 17:40 UTC, umq
no flags Details | Diff
emulators_open-vm-tools.patch (10.50 KB, patch)
2010-11-13 05:37 UTC, umq
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description umq 2010-11-01 17:40:09 UTC
	emulators/open-vm-tools does not build under CURRENT

Fix: the patch follows:
How-To-Repeat: 	# cd emulators/open-vm-tools
	# make build
Comment 1 Edwin Groothuis freebsd_committer 2010-11-01 17:40:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mbr

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 umq 2010-11-01 22:21:39 UTC
Hi,

The patch submitted previously was corrupted by mailer.
re-attaching it again.

At Mon, 1 Nov 2010 17:40:09 GMT,
FreeBSD-gnats-submit@FreeBSD.org wrote:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=151872
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [patch] emulators/open-vm-tools fix build under CURRENT =
> >Arrival-Date:   Mon Nov 01 17:40:09 UTC 2010

-- 

   Hirohisa Yamaguchi
     <umq@ueo.co.jp>

diff -Npru ports/emulators/open-vm-tools/Makefile ports.orig/emulators/open-vm-tools/Makefile
--- ports/emulators/open-vm-tools/Makefile	2010-11-02 01:49:04.000000000 +0900
+++ ports.orig/emulators/open-vm-tools/Makefile	2010-11-02 01:02:50.000000000 +0900
@@ -7,7 +7,6 @@
 
 PORTNAME=		open-vm-tools
 PORTVERSION=		${BUILD_VER}
-PORTREVISION=	1
 CATEGORIES=		emulators kld
 MASTER_SITES=		SF/${PORTNAME}/${PORTNAME}/${RELEASE_DATE}
 DISTNAME=		open-vm-tools-${RELEASE_DATE}-${BUILD_VER}
@@ -15,9 +14,11 @@ DISTNAME=		open-vm-tools-${RELEASE_DATE}
 MAINTAINER=		mbr@freebsd.org
 COMMENT?=		Open VMware tools for FreeBSD VMware guests
 
-RELEASE_DATE=		2010.04.25
-BUILD_VER=		253928
+RELEASE_DATE=		2010.10.18
+BUILD_VER=		313025
 
+LICENSE=		LGPL21
+LICENSE_FILE=		${WRKSRC}/COPYING
 WRKSRC=			${WRKDIR}/open-vm-tools-${RELEASE_DATE}-${BUILD_VER}
 GNU_CONFIGURE=		yes
 USE_LDCONFIG=		yes
@@ -78,8 +79,6 @@ USE_RC_SUBR=		vmware-guestd.sh vmware-km
 
 .if ${OSVERSION} < 700000
 BROKEN=		does not compile on 6.X
-.elif ${OSVERSION} >= 900007
-BROKEN=		does not compile
 .endif
 
 .if ${ARCH} == "sparc64"
diff -Npru ports/emulators/open-vm-tools/distinfo ports.orig/emulators/open-vm-tools/distinfo
--- ports/emulators/open-vm-tools/distinfo	2010-11-02 01:49:41.000000000 +0900
+++ ports.orig/emulators/open-vm-tools/distinfo	2010-11-02 01:00:35.000000000 +0900
@@ -1,3 +1,2 @@
-MD5 (open-vm-tools-2010.04.25-253928.tar.gz) = da0ed15d29f4a1f6eca21e8aeeabb476
-SHA256 (open-vm-tools-2010.04.25-253928.tar.gz) = ad09ed494670547ef728051109069f83efc441896828dd4f0c50804538110ed6
-SIZE (open-vm-tools-2010.04.25-253928.tar.gz) = 3513471
+SHA256 (open-vm-tools-2010.10.18-313025.tar.gz) = cbf3f1a7e5229309a8440a424969dfe523c307a183d6aff9aa56a7d0d8e05d3c
+SIZE (open-vm-tools-2010.10.18-313025.tar.gz) = 3565621
diff -Npru ports/emulators/open-vm-tools/files/patch-guestApp.c ports.orig/emulators/open-vm-tools/files/patch-guestApp.c
--- ports/emulators/open-vm-tools/files/patch-guestApp.c	2010-01-03 01:29:44.000000000 +0900
+++ ports.orig/emulators/open-vm-tools/files/patch-guestApp.c	2010-11-02 01:00:35.000000000 +0900
@@ -1,11 +1,11 @@
---- lib/guestApp/guestApp.c.orig	2008-05-29 10:42:37.000000000 +0300
-+++ lib/guestApp/guestApp.c	2008-05-29 10:43:09.000000000 +0300
-@@ -73,7 +73,7 @@
- #elif defined(_WIN32)
- #define GUESTAPP_TOOLS_INSTALL_PATH ""
+--- ./lib/guestApp/guestApp.c.orig	2010-10-20 05:19:54.000000000 +0900
++++ ./lib/guestApp/guestApp.c	2010-10-29 19:31:03.000000000 +0900
+@@ -65,7 +65,7 @@
+ #elif defined __APPLE__
+ #   define GUESTAPP_TOOLS_INSTALL_PATH "/Library/Application Support/VMware Tools"
  #else
--#define GUESTAPP_TOOLS_INSTALL_PATH "/etc/vmware-tools"
-+#define GUESTAPP_TOOLS_INSTALL_PATH "/usr/local/share/vmware-tools"
+-#   define GUESTAPP_TOOLS_INSTALL_PATH "/etc/vmware-tools"
++#   define GUESTAPP_TOOLS_INSTALL_PATH "/usr/local/share/vmware-tools"
  #endif
  
  /*
diff -Npru ports/emulators/open-vm-tools/files/patch-hostinfoPosix.c ports.orig/emulators/open-vm-tools/files/patch-hostinfoPosix.c
--- ports/emulators/open-vm-tools/files/patch-hostinfoPosix.c	1970-01-01 09:00:00.000000000 +0900
+++ ports.orig/emulators/open-vm-tools/files/patch-hostinfoPosix.c	2010-11-02 01:00:35.000000000 +0900
@@ -0,0 +1,10 @@
+--- ./lib/misc/hostinfoPosix.c.orig	2010-10-20 05:19:54.000000000 +0900
++++ ./lib/misc/hostinfoPosix.c	2010-10-29 19:46:10.000000000 +0900
+@@ -31,7 +31,6 @@
+ #include <sys/wait.h>
+ #include <signal.h>
+ #include <sys/time.h>
+-#include <sys/timeb.h>
+ #include <pwd.h>
+ #include <pthread.h>
+ #include <sys/resource.h>
diff -Npru ports/emulators/open-vm-tools/files/patch-services-Makefile ports.orig/emulators/open-vm-tools/files/patch-services-Makefile
--- ports/emulators/open-vm-tools/files/patch-services-Makefile	2010-01-03 01:29:44.000000000 +0900
+++ ports.orig/emulators/open-vm-tools/files/patch-services-Makefile	2010-11-02 01:00:35.000000000 +0900
@@ -1,24 +1,22 @@
---- services/Makefile.am.orig	2009-02-28 20:48:46.000000000 +0100
-+++ services/Makefile.am	2009-02-28 20:49:28.000000000 +0100
-@@ -20,6 +20,6 @@
+--- ./services/Makefile.am.orig	2010-10-20 05:19:54.000000000 +0900
++++ ./services/Makefile.am	2010-10-29 19:38:19.000000000 +0900
+@@ -20,6 +20,5 @@
  SUBDIRS += plugins
  
  install-exec-local:
 -	mkdir -p $(DESTDIR)/etc/vmware-tools
 -	ln -sf `dirname $(VMSVC_PLUGIN_INSTALLDIR)` $(DESTDIR)/etc/vmware-tools/plugins
 +	mkdir -p $(prefix)/etc/vmware-tools
-+
  
---- services/Makefile.in.orig	2009-02-28 20:48:52.000000000 +0100
-+++ services/Makefile.in	2009-02-28 20:49:46.000000000 +0100
-@@ -576,8 +576,8 @@
+--- ./services/Makefile.in.orig	2010-10-20 05:20:06.000000000 +0900
++++ ./services/Makefile.in	2010-10-29 19:43:30.000000000 +0900
+@@ -642,8 +642,7 @@
  
  
  install-exec-local:
 -	mkdir -p $(DESTDIR)/etc/vmware-tools
 -	ln -sf `dirname $(VMSVC_PLUGIN_INSTALLDIR)` $(DESTDIR)/etc/vmware-tools/plugins
 +	mkdir -p $(prefix)/etc/vmware-tools
-+
+ 
  # Tell versions [3.59,3.63) of GNU make to not export all variables.
  # Otherwise a system limit (for SysV at least) may be exceeded.
- .NOEXPORT:
diff -Npru ports/emulators/open-vm-tools/files/patch-vm_basic_types.h ports.orig/emulators/open-vm-tools/files/patch-vm_basic_types.h
--- ports/emulators/open-vm-tools/files/patch-vm_basic_types.h	1970-01-01 09:00:00.000000000 +0900
+++ ports.orig/emulators/open-vm-tools/files/patch-vm_basic_types.h	2010-11-02 01:00:35.000000000 +0900
@@ -0,0 +1,10 @@
+--- ./lib/include/vm_basic_types.h.orig	2010-10-20 05:19:54.000000000 +0900
++++ ./lib/include/vm_basic_types.h	2010-10-29 20:11:03.000000000 +0900
+@@ -333,6 +333,7 @@
+          #define FMTPD  ""
+       #endif
+    #elif defined(__linux__) \
++      || (defined(__clang__)) \
+       || (defined(_POSIX_C_SOURCE) && _POSIX_C_SOURCE >= 200112L) \
+       || (defined(_POSIX_VERSION) && _POSIX_VERSION >= 200112L) \
+       || (defined(_POSIX2_VERSION) && _POSIX2_VERSION >= 200112L)
diff -Npru ports/emulators/open-vm-tools/files/patch-vmhgfs-Makefile ports.orig/emulators/open-vm-tools/files/patch-vmhgfs-Makefile
--- ports/emulators/open-vm-tools/files/patch-vmhgfs-Makefile	1970-01-01 09:00:00.000000000 +0900
+++ ports.orig/emulators/open-vm-tools/files/patch-vmhgfs-Makefile	2010-11-02 01:00:35.000000000 +0900
@@ -0,0 +1,26 @@
+--- ./modules/freebsd/vmhgfs/Makefile.orig	2010-10-20 05:19:54.000000000 +0900
++++ ./modules/freebsd/vmhgfs/Makefile	2010-10-27 08:30:00.000000000 +0900
+@@ -90,22 +90,7 @@
+    CFLAGS += -Ishared
+ .endif
+ 
+-#
+-# FreeBSD's kernel module build system defines a bunch of additional warning
+-# flags for the compiler in addition to -Wall -Werror.  However, some of these,
+-# like -Wredundant-decls, are overkill.  To get around this, I copied their list
+-# of warning flags, but explicitly disabled a few.
+-#
+-CWARNFLAGS := -Wall
+-CWARNFLAGS += -Werror
+-CWARNFLAGS += -Wno-redundant-decls
+-CWARNFLAGS += -Wnested-externs
+-CWARNFLAGS += -Wstrict-prototypes
+-CWARNFLAGS += -Wno-missing-prototypes
+-CWARNFLAGS += -Wpointer-arith
+-CWARNFLAGS += -Winline
+-CWARNFLAGS += -Wcast-qual
+-
+ EXPORT_SYMS = NO
+ 
++.include <bsd.own.mk>
+ .include <bsd.kmod.mk>
Comment 3 umq 2010-11-13 05:37:39 UTC
Here's a revised patch contains:
 + update pkg-plist
 + dhclient fix in ports/149116
 + pkgconfig fix in ports/150913

-- 

	Hirohisa Yamaguchi
	  <umq@ueo.co.jp>
Comment 4 dfilter freebsd_committer 2010-11-15 23:57:55 UTC
mbr         2010-11-15 23:57:51 UTC

  FreeBSD ports repository

  Modified files:
    emulators/open-vm-tools Makefile distinfo pkg-plist 
    emulators/open-vm-tools/files patch-guestApp.c 
                                  patch-services-Makefile 
  Log:
  Upgrade to build 313025, release date 2010.10.18
  
  Fix build on HEAD
  Fix dhclient resume
  Fix pkgconfig
  
  PR:             151872, 149116, 150913
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp>
  
  Revision  Changes    Path
  1.43      +4 -5      ports/emulators/open-vm-tools/Makefile
  1.11      +3 -3      ports/emulators/open-vm-tools/distinfo
  1.3       +5 -5      ports/emulators/open-vm-tools/files/patch-guestApp.c
  1.4       +3 -5      ports/emulators/open-vm-tools/files/patch-services-Makefile
  1.26      +9 -5      ports/emulators/open-vm-tools/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 mbr freebsd_committer 2010-11-16 00:02:01 UTC
State Changed
From-To: open->closed

Committed, thanks !